NAME

cpp - C/C++ preprocessor (RISC OS version)


SYNOPSIS

cpp [options] [infile] [outfile]


DESCRIPTION

cpp takes an input file and c-preprocesses it. If both filenames are given, these are used. If only one filename is given, this is the input file and output is on stdout. If no filenames are given input is stdin and output is stdout. Filenames may be given as either 'file.c' or 'c.file'.


Options for cpp are as follows:-

-M		Print active include files.
-N		Do not search the standard directories for #include files.
-V		Verbose.
-v		Display cpp version.
-+		Allow C++ comments.
-I path		Use `path' as a search path when searching for headers.
-D x		Define macro. Either -D NAME or -D NAME=<value>
-U x		Undefine macro defined in cmd line
